# $Revision: 1.6 $, $Date: 2006/05/29 11:22:47 $
#
%define		_plugin	change_pass
%define		_plugin_version 2.7
%define		_squirrel_version_required 1.4.x
%define		_version_rpm %{_plugin_version}_%{_squirrel_version_required}
%define		_version_tgz %{_plugin_version}-%{_squirrel_version_required}

Summary:	A squirrel interface to change passwords
Summary(pl):	Wiewirczy interfejs do zmiany hase
Name:		squirrelmail-plugin-%{_plugin}
Version:	%{_plugin_version}_%{_squirrel_version_required}
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.squirrelmail.org/plugins/%{_plugin}-%{_version_tgz}.tar.gz
# Source0-md5:	590e0b3e879bffdb4dea57d369618353
URL:		http://www.squirrelmail.org/
Requires:	squirrelmail >= 1.4.6-2
Requires:	poppassd
Obsoletes:	squirrelmail-change_pass
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_squirreldir	%{_datadir}/squirrelmail
%define		_squirreldata	/var/lib/squirrelmail
%define		_plugindir	%{_squirreldir}/plugins/%{_plugin}

%description
This package contains a interface to change passwords using poppassd
protocol.

%description -l pl
Ten pakiet zawiera interfejs do zmiany hase poprzez protok
poppassd.

%prep
%setup -q -n %{_plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir}

cp -R *.php locale $RPM_BUILD_ROOT%{_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%{_plugindir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirrelmail-plugin-change_pass.spec,v $
Revision 1.6  2006/05/29 11:22:47  hawk
- R: squirrelmail >= 1.4.6-2

Revision 1.5  2006/05/29 11:17:09  hawk
- removed TODO

Revision 1.4  2004/12/01 22:24:10  qboosh
- noarch (I assume)

Revision 1.3  2004/11/30 22:29:36  pzurowski
- note added

Revision 1.2  2004/11/30 18:40:54  pzurowski
- adaptarized

Revision 1.1  2004/11/30 18:39:22  pzurowski
- raw from Michal Kochanowicz <michal at michal waw pl>
